cityflow(6x)

NAME
cityflow - waves of boxes.

SYNOPSIS
cityflow [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--delay number] [--count number] [--wave-speed number] [--wave-radius number] [--waves number] [--skew number] [--wireframe] [--fps]

DESCRIPTION
Waves move across a sea of boxes. The city swells. The walls are closing in.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--delay number
    Per-frame delay, in microseconds. Default: 20000 (0.02 seconds).

--count number
    Boxes.    50 - 4000.  Default: 800.

--wave-speed number
    Wave speed. 5 - 150. Default: 25.

--wave-radius number
    Wave overlap. 5 - 512. Default: 256.

--waves number
    Wave complexity. 1 - 20. Default: 6.

--skew number
    Skew.  0 - 45.    Default: 12.

--wireframe | --no-wireframe
    Render in wireframe instead of solid.

--fps | --no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2012 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski.